summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-02-18 22:50:09 +0100
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-02-18 22:50:09 +0100
commit07cf0e830ee3edb138008d61896eeaccd569c88f (patch)
tree00221956fe69cf19f014defae47adcb7334f8ce7
parentf10e7f0e199f50c5f52f12edfcff7b16cd9c832f (diff)
fuel: Execute poc.tacker-up.sh script for sfc scenario
Change-Id: If9dcea92d17c1317e2ae8ee10c22957e4e6cf4cc Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
-rwxr-xr-xjjb/fuel/fuel-deploy.sh34
1 files changed, 32 insertions, 2 deletions
diff --git a/jjb/fuel/fuel-deploy.sh b/jjb/fuel/fuel-deploy.sh
index 6f0fdfcb0..bc2080b0d 100755
--- a/jjb/fuel/fuel-deploy.sh
+++ b/jjb/fuel/fuel-deploy.sh
@@ -97,5 +97,35 @@ fi
echo "SFC Scenario is deployed"
-# TBD: This is where we need to transfer poc.tacker-up.ssh script to
-# controller + ODL node
+# The stuff below is here temporarily and will be fixed once the release is out
+export FUEL_MASTER_IP=10.20.0.2
+export TACKER_SCRIPT_URL="https://git.opnfv.org/cgit/fuel/plain/prototypes/sfc_tacker/poc.tacker-up.sh?h=${GIT_BRANCH##*/}"
+export CONTROLLER_NODE_IP=$(sshpass -pr00tme ssh -t fuel 'fuel node list' | \
+ grep 'controller, opendaylight' | cut -d'|' -f5)
+
+# we can't do much if we do not have the controller IP
+if [[ "$CONTROLLER_NODE_IP" !~ "^10.20.0" ]]; then
+ echo "Unable to retrieve controller IP"
+ exit 1
+fi
+
+echo "Copying and executing poc.tacker-up.sh script on controller node $CONTROLLER_NODE_IP"
+
+expect << END
+spawn /usr/bin/ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no root@\$env(FUEL_MASTER_IP)
+expect {
+ -re ".*sword.*" {
+ exp_send "r00tme\r"
+ }
+}
+expect "# "
+send "/usr/bin/ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no root@\$env(CONTROLLER_NODE_IP)\r"
+expect "# "
+send "/usr/bin/curl -o /root/poc.tacker-up.sh \$env(TACKER_SCRIPT_URL)\r"
+expect "# "
+send "/bin/bash /root/poc.tacker-up.sh\r"
+expect "# "
+send "exit\r"
+expect "# "
+send "exit\r"
+END